/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// changeviewcommand.h Fri Jun 22 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef _CHANGEVIEWCOMMAND_H_
#define _CHANGEVIEWCOMMAND_H_

#include "servercommand.h"
#include "types.h"

class ChangeViewCommand : public ServerCommand
{
public: 
	ChangeViewCommand();
	ChangeViewCommand(view_width _vwWidth, view_quality _vqQuality);
	virtual ~ChangeViewCommand();
	virtual Comm& comm_insert(Comm &_cmConnection) const;
  void setViewWidth(view_width _vwWidth);
  void setViewQuality(view_quality _vqQuality);
  view_width getViewWidth() const;
  view_quality getViewQuality() const;

private:
	view_width vwWidth;
	view_quality vqQuality;
};

#endif
