/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// eyeoncommand.cpp Fri Jun 29 2001
// Description:
//////////////////////////////////////////////////////////////////////

#include "eyeoncommand.h"

#undef TRACE
#define TRACE(cmd)

EyeOnCommand::EyeOnCommand() : ServerCommand(0)
{
}

EyeOnCommand::~EyeOnCommand()
{
}

Comm& EyeOnCommand::comm_insert(Comm &_cmConnection) const
{

    char msg [MAX_SERVER_MSG_SIZE];
    sprintf(msg, "(eye on)");
    if (_cmConnection.sendToServer(msg) == COMM_OK)
    {
        TRACE("PlayerComm: agent sent " << msg);
    }
    else
    {
        ALERT("servertime_here"
              << " PlayerComm: agent cannot send " << msg << " to server" );
    }

	return _cmConnection;
}
