//////////////////////////////////////////////////////////////////////
// Mainz Rolling Brains RoboCup agents developed for the Simulator 
// League of the RoboCup 2000 competition
//
// Copyright (C) 1998, 1999, 2000 Team Members 
// of the Mainz Rolling Brains RoboCup Team 
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

/////////////////////////////////////////////////////////////////////
//
// $Id: minmax.h,v 1.2 2001/06/18 19:36:57 jmm9gc Exp $	
// $Manager: goetz$
// 
//  minmax.h - definition of simple min and max
//             and other mathematical utility functions
// 
//   Goetz Schwandtner
//
//
//////////////////////////////////////////////////////////////////////

#ifndef _MINMAX_H_
#define _MINMAX_H_

extern int min(int x, int y);
extern double min(double x, double y);
extern int max(int x, int y);
extern double max(double x, double y);
extern double sqr(double x);
extern double power( double a, int n );

#endif
