/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// behavior.h Fri Jun 8 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef _BEHAVIOR_H_
#define _BEHAVIOR_H_

#include "worldmodel.h"
// #include "recommendation.h"
#include "recommendationlist.h"

class Behavior {
public: 
	Behavior();
	virtual ~Behavior();
	
	virtual bool isUseful() = 0;
	virtual void evaluate(RecommendationList& recList) = 0;

};


#endif
