/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// movecommand.h Fri Jun 22 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef _MOVECOMMAND_H_
#define _MOVECOMMAND_H_

#include "servercommand.h"

class MoveCommand : public ServerCommand
{
public: 
	MoveCommand();
	MoveCommand(double _dX, double _dY);
	virtual ~MoveCommand();
	virtual Comm& comm_insert(Comm &_cmConnection) const;
	void setX(double _dX);
	void setY(double _dY);
	double getX() const;
	double getY() const;

private:
	double dX;
	double dY;
};

#endif
