/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// backlinebehavior.h Fri Jul 13 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef BACKLINEBEHAVIOR_H
#define BACKLINEBEHAVIOR_H

#include "behavior.h"
#include "backlineperception.h"
#include "backlinerecommendation.h"
#include "runaction.h"

/**
  *@author UVa RoboCup Team
  */

class BackLineBehavior : public Behavior  {
public: 
	BackLineBehavior(const WorldModel &_wmWorld);
	virtual ~BackLineBehavior();

	virtual bool isUseful();
	virtual void evaluate(RecommendationList& recList);

private:
	 BackLinePerception perBackLine;

};

#endif
