/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// coachdata.h Thu Jun 14 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef COACHDATA_H
#define COACHDATA_H

#include "sensor.h"
#include "sensordata.h"
#include "coachworldmodel.h"
/**
  *@author UVA RoboCup Team
  */

// These structs have moved to sensor.h

/*
struct ExactObject {
  bool valid;		// true:  object seen
  // false: object not seen, entries are invalid
  double x;  // position
  double y;
  double x_vel; // velocities in direction of axes
  double y_vel;
};

struct ExactPlayer : public ExactObject {
  team_number   team;
  int           number;
  goalie_player goalie;
  double        head_dir;      // in radians
  double        body_dir;      // in radians
};

struct ExactGoal : public ExactObject {
  goal_type which;	// Which goal is it? (left/right)
  team_number team;	// Is it our goal or the enemy's?
};
*/
/*
typedef SensorObject ExactObject;
typedef SensorPlayer ExactPlayer;
typedef SensorGoal   ExactGoal;
*/


class CoachData : public SensorData
{
public: 
	CoachData();
  CoachData(int _time);
	CoachWorldModel& worldmodel_insert(CoachWorldModel& _cwmWorld) const;
	~CoachData();

  // the following valid if type == SENSOR_TYPE_EXACT
  // We no longer have type, I don't think - JM

  ExactObject exactball;
  ExactPlayer exactplayer[22];
  ExactGoal   exactgoal[2];
};

#endif
