//////////////////////////////////////////////////////////////////////
// Mainz Rolling Brains RoboCup agents developed for the Simulator
// League of the RoboCup 2000 competition
//
// Copyright (C) 1998, 1999, 2000 Team Members
// of the Mainz Rolling Brains RoboCup Team
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//-*- c++ -*-/////////////////////////////////////////////////////////
//
//  $Id: datastore.h,v 1.5 2001/07/26 16:13:51 jmm9gc Exp $
//
//  datastore.h - storing of SensorData in fixed array
//
//////////////////////////////////////////////////////////////////////


#ifndef _DATASTORE_H_
#define _DATASTORE_H_

#include "sensordata.h"
#include "debug.h"
#include <iostream.h>
#include <list>

using namespace std;

class SensorDataStore : public list<SensorData*>
{

public:

    SensorDataStore();
    ~SensorDataStore();
	void insert(SensorData* data);
};


#endif
