/////////////////////////////////////////////////////////////////////
// UVA TeamName RoboCup agent developed for the Simulator
// League of the RoboCup 2001 competition.
//
// This team based on the Mainz Rolling Brains RoboCup team from
// the 2000 competition.
//
// Copyright (C) 2001 Team Members
// of the UVA TeamName RoboCup Team.
//
// This program under the terms of the GNU General Public License as
// published by the Free Software Foundation; version 2 of the
// License. See the README file in the root directory of our archive.
//////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////
// identitydata.h Wed Jun 13 2001
// Description:
//////////////////////////////////////////////////////////////////////

#ifndef _IDENTITYDATA_H_
#define _IDENTITYDATA_H_

#include "sensordata.h"

class IdentityData : public SensorData
{
public: 
	IdentityData();
	IdentityData(int _time);	
	virtual ~IdentityData();
	
	virtual WorldModel& worldmodel_insert(WorldModel& _wmWorld) const;
	virtual CoachWorldModel& worldmodel_insert(CoachWorldModel& _cwmWorld) const;


    playing_side side;
    int number;
	client_type type;
	char *team_name;
    play_mode pmMode;	
	
};

#endif
